<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_task Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_task Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__task.html">Task APIs</a>]</small>
</h1><!-- doxytag: class="tivx_task" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Typedef for a task. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html#a80f6070ffc5874260733340cab2bfe94">tsk_handle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handle to the task created.  <a href="#a80f6070ffc5874260733340cab2bfe94"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint8_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html#ad2ba16f382b570fa09f86b35b34a1748">stack_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to task stack, if NULL then task stack is allcoated by OS and not supplied by user.  <a href="#ad2ba16f382b570fa09f86b35b34a1748"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html#a00ff4a2148185a3ad91dab3c7adb13ec">stack_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Task stack size, if 0, OS allocates stack with default size.  <a href="#a00ff4a2148185a3ad91dab3c7adb13ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html#a2f8ac3097bde2fd040b39965a0acb849">core_affinity</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If task runs on a SMP CPU then this value tells the affinity of task to a given core, Valid values are 0 .. max cores in the SMP CPU. when TIVX_TASK_AFFINITY_ANY is used OS decides the task affinity.  <a href="#a2f8ac3097bde2fd040b39965a0acb849"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html#a12c711cf4ce109e4afdaaa5c8cf67a0a">priority</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">task priority for task associated with this target TIVX_TASK_PRI_HIGHEST is highest priority, TIVX_TASK_PRI_LOWEST is lowest priority  <a href="#a12c711cf4ce109e4afdaaa5c8cf67a0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html#ac69f95efcd82a3fe2eb126ecb0e6ab40">task_func</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Entry point for task.  <a href="#ac69f95efcd82a3fe2eb126ecb0e6ab40"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html#aca157d448b99c2eb98e3de61b8e1ef47">app_var</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">private app object  <a href="#aca157d448b99c2eb98e3de61b8e1ef47"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a80f6070ffc5874260733340cab2bfe94"></a><!-- doxytag: member="tivx_task::tsk_handle" ref="a80f6070ffc5874260733340cab2bfe94" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__task.html#a80f6070ffc5874260733340cab2bfe94">tivx_task::tsk_handle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Handle to the task created. </p>

</div>
</div>
<a class="anchor" id="ad2ba16f382b570fa09f86b35b34a1748"></a><!-- doxytag: member="tivx_task::stack_ptr" ref="ad2ba16f382b570fa09f86b35b34a1748" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* <a class="el" href="structtivx__task.html#ad2ba16f382b570fa09f86b35b34a1748">tivx_task::stack_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to task stack, if NULL then task stack is allcoated by OS and not supplied by user. </p>

</div>
</div>
<a class="anchor" id="a00ff4a2148185a3ad91dab3c7adb13ec"></a><!-- doxytag: member="tivx_task::stack_size" ref="a00ff4a2148185a3ad91dab3c7adb13ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__task.html#a00ff4a2148185a3ad91dab3c7adb13ec">tivx_task::stack_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Task stack size, if 0, OS allocates stack with default size. </p>

</div>
</div>
<a class="anchor" id="a2f8ac3097bde2fd040b39965a0acb849"></a><!-- doxytag: member="tivx_task::core_affinity" ref="a2f8ac3097bde2fd040b39965a0acb849" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__task.html#a2f8ac3097bde2fd040b39965a0acb849">tivx_task::core_affinity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If task runs on a SMP CPU then this value tells the affinity of task to a given core, Valid values are 0 .. max cores in the SMP CPU. when TIVX_TASK_AFFINITY_ANY is used OS decides the task affinity. </p>

</div>
</div>
<a class="anchor" id="a12c711cf4ce109e4afdaaa5c8cf67a0a"></a><!-- doxytag: member="tivx_task::priority" ref="a12c711cf4ce109e4afdaaa5c8cf67a0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__task.html#a12c711cf4ce109e4afdaaa5c8cf67a0a">tivx_task::priority</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>task priority for task associated with this target TIVX_TASK_PRI_HIGHEST is highest priority, TIVX_TASK_PRI_LOWEST is lowest priority </p>

</div>
</div>
<a class="anchor" id="ac69f95efcd82a3fe2eb126ecb0e6ab40"></a><!-- doxytag: member="tivx_task::task_func" ref="ac69f95efcd82a3fe2eb126ecb0e6ab40" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a> <a class="el" href="structtivx__task.html#ac69f95efcd82a3fe2eb126ecb0e6ab40">tivx_task::task_func</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Entry point for task. </p>

</div>
</div>
<a class="anchor" id="aca157d448b99c2eb98e3de61b8e1ef47"></a><!-- doxytag: member="tivx_task::app_var" ref="aca157d448b99c2eb98e3de61b8e1ef47" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__task.html#aca157d448b99c2eb98e3de61b8e1ef47">tivx_task::app_var</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>private app object </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
